# Signup send OTP

<mark style="color:green;">`POST`</mark> [`{{apiUrl}}patient/login/signup_sendotp`](https://api.evitalrx.in/v1/patient/login/signup_sendotp)

API to check whether the patient should sign up or log in.&#x20;

#### Request Body

| Name                                        | Type   | Description              |
| ------------------------------------------- | ------ | ------------------------ |
| apikey<mark style="color:red;">\*</mark>    | String | Authentication token     |
| mobile<mark style="color:red;">\*</mark>    | String | Mobile number of Patient |
| firstname<mark style="color:red;">\*</mark> | String | First name of Patient    |
| lastname                                    | String | Last name of Patient     |

{% tabs %}
{% tab title="200 OTP send successfully." %}

```json
{
    "status_code": "1",
    "status_message": "OTP sent successfully to your mobile number",
    "datetime": "2023-10-25 17:04:47",
    "data": null
}
```

{% endtab %}

{% tab title="200: OK Patient already exists, kindly login." %}

```json
{
    "status_code": "0",
    "status_message": "This Mobile is already exist.",
    "datetime": "2023-10-25 17:46:24",
    "data": null
}
```

{% endtab %}

{% tab title="200: OK Validation Error" %}

```json
{
    "status_code": "0",
    "status_message": "Please enter valid mobile",
    "datetime": "2022-12-06 18:09:55",
    "data": null
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.evitalrx.in/api-for-patient-app/login-signup/signup-send-otp.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
